% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{.parseMicrobialGrowthCreateArgs}
\alias{.parseMicrobialGrowthCreateArgs}
\title{Coefficient argument parser (create function)}
\usage{
.parseMicrobialGrowthCreateArgs(x)
}
\arguments{
\item{x}{value(s) for a given coefficient.}
}
\value{
the 3 ordered values for the given coefficient.
}
\description{
Parses the coefficients passed to the create function to obtain  3 values: one for the main curve and two for the confint curves.
These values are sorted.
}
\examples{
.parseMicrobialGrowthCreateArgs(1)
## [1] 1 1 1

.parseMicrobialGrowthCreateArgs(c(1,2))
## [1] 1.0 1.5 2.0

.parseMicrobialGrowthCreateArgs(c(1,2,3))
## [1] 1 2 3

.parseMicrobialGrowthCreateArgs(c(3,1,2))
## [1] 1 2 3
}
