% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/base.R
\name{is.MicrobialGrowth}
\alias{is.MicrobialGrowth}
\title{MicrobialGrowth class}
\usage{
is.MicrobialGrowth(x)
}
\arguments{
\item{x}{variable or list.}
}
\value{
\code{TRUE} if the object or all objects are of class \code{MicrobialGrowth}.
}
\description{
Test if a variable or variable list is/are MicrobialGrowth-object(s).
}
\examples{
# TRUE return
g1 <- MicrobialGrowth(example_data$time, example_data$y1)
g2 <- MicrobialGrowth.create(N0 = 0.14, Nmax = 1.43, mu = 0.07, lambda = 45,
                                   xlim = c(0, 100), model="gompertz")
is.MicrobialGrowth(g1)
is.MicrobialGrowth(g2)
is.MicrobialGrowth(list(g1,g2))

# FALSE return
is.MicrobialGrowth(1)
is.MicrobialGrowth(list())
is.MicrobialGrowth(c(g1, g2))
is.MicrobialGrowth(list(g1, g2, 1))
}
