% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/base.R
\name{summary.MicrobialGrowth}
\alias{summary.MicrobialGrowth}
\title{MicrobialGrowth summary function}
\usage{
\method{summary}{MicrobialGrowth}(object, ...)
}
\arguments{
\item{object}{MicrobialGrowth-object.}

\item{...}{additional arguments affecting the summary produced.}
}
\value{
The summary of the successful regression, \code{NULL} otherwise.
}
\description{
Summarizes the regression of an MicrobialGrowth-object.
}
\details{
Equivalent to \code{summary(MicrobialGrowthObject$reg, ...)} to which we add the corresponding \code{model} member and the \code{summary.MicrobialGrowth} class.
}
\examples{
# Simple example
g <- MicrobialGrowth(example_data$time, example_data$y1)
summary(g)

# Example without summary available
g <- MicrobialGrowth(example_data$time, example_data$y15)
summary(g)

g <- MicrobialGrowth.create(0.14, 1.5, 0.07, 45, c(0,100), model="gompertz")
summary(g)
}
